CMSIS-NN: cmsis_nn_dw_conv_params Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_dw_conv_params Struct Reference

## Data Fields

int32_t | input_offset
int32_t | output_offset
int32_t | ch_mult
cmsis_nn_tile | stride
cmsis_nn_tile | padding
cmsis_nn_tile | dilation
cmsis_nn_activation | activation

## Description

CMSIS-NN object for Depthwise convolution layer parameters

## Field Documentation

cmsis_nn_activation cmsis_nn_dw_conv_params::activation

Referenced by arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), and arm_depthwise_conv_s8_opt().

int32_t cmsis_nn_dw_conv_params::ch_mult

Channel Multiplier. ch_mult * in_ch = out_ch

Referenced by arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), and arm_depthwise_conv_wrapper_s8().

cmsis_nn_tile cmsis_nn_dw_conv_params::dilation

Referenced by arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_wrapper_s8(), and arm_depthwise_conv_wrapper_s8_get_buffer_size().

int32_t cmsis_nn_dw_conv_params::input_offset

Zero value for the input tensor

Referenced by arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s8(), and arm_depthwise_conv_s8_opt().

int32_t cmsis_nn_dw_conv_params::output_offset

Zero value for the output tensor

Referenced by arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s8(), and arm_depthwise_conv_s8_opt().

cmsis_nn_tile cmsis_nn_dw_conv_params::padding

Referenced by arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), and arm_depthwise_conv_wrapper_s8().

cmsis_nn_tile cmsis_nn_dw_conv_params::stride

Referenced by arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), and arm_depthwise_conv_s8_opt().